Package org.eclipse.m2m.atl.emftvm

## Interface Push

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `Instruction`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `PushImpl`

    public interface Push
    extends Instruction

A representation of the model object 'Push'.

See Also:
  `EmftvmPackage.getPush()`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.Byte` `getByteValue()` Returns the value of the 'Byte Value' attribute.
`java.lang.Character` `getCharValue()` Returns the value of the 'Char Value' attribute.
`java.lang.Double` `getDoubleValue()` Returns the value of the 'Double Value' attribute.
`java.lang.String` `getEnumValue()` Returns the value of the 'Enum Value' attribute.
`java.lang.Float` `getFloatValue()` Returns the value of the 'Float Value' attribute.
`java.lang.Integer` `getIntValue()` Returns the value of the 'Int Value' attribute.
`java.lang.Long` `getLongValue()` Returns the value of the 'Long Value' attribute.
`java.lang.Short` `getShortValue()` Returns the value of the 'Short Value' attribute.
`java.lang.String` `getStringValue()` Returns the value of the 'String Value' attribute.
`java.lang.Object` `getValue()` Returns the value of the 'Value' attribute.
`void` `setByteValue​(java.lang.Byte value)` Sets the value of the '`Byte Value`' attribute.
`void` `setCharValue​(java.lang.Character value)` Sets the value of the '`Char Value`' attribute.
`void` `setDoubleValue​(java.lang.Double value)` Sets the value of the '`Double Value`' attribute.
`void` `setEnumValue​(java.lang.String value)` Sets the value of the '`Enum Value`' attribute.
`void` `setFloatValue​(java.lang.Float value)` Sets the value of the '`Float Value`' attribute.
`void` `setIntValue​(java.lang.Integer value)` Sets the value of the '`Int Value`' attribute.
`void` `setLongValue​(java.lang.Long value)` Sets the value of the '`Long Value`' attribute.
`void` `setShortValue​(java.lang.Short value)` Sets the value of the '`Short Value`' attribute.
`void` `setStringValue​(java.lang.String value)` Sets the value of the '`String Value`' attribute.
`void` `setValue​(java.lang.Object value)` Sets the value of the '`Value`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.m2m.atl.emftvm.Instruction

`getLineNumber, getOpcode, getOwningBlock, getStackConsumption, getStackLevel, getStackProduction, setLineNumber, setOwningBlock`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Method Detail

#### getValue

    java.lang.Object getValue()

Returns the value of the 'Value' attribute.

If the meaning of the 'Value' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Value' attribute.
See Also:
  `setValue(Object)`, `EmftvmPackage.getPush_Value()`

#### setValue

    void setValue​(java.lang.Object value)

Sets the value of the '`Value`' attribute.

Parameters:
  `value` - the new value of the 'Value' attribute.
See Also:
  `getValue()`

#### getStringValue

    java.lang.String getStringValue()

Returns the value of the 'String Value' attribute. The default value is `""`.

If the meaning of the 'String Value' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'String Value' attribute.
See Also:
  `setStringValue(String)`, `EmftvmPackage.getPush_StringValue()`

#### setStringValue

    void setStringValue​(java.lang.String value)

Sets the value of the '`String Value`' attribute.

Parameters:
  `value` - the new value of the 'String Value' attribute.
See Also:
  `getStringValue()`

#### getIntValue

    java.lang.Integer getIntValue()

Returns the value of the 'Int Value' attribute. The default value is `""`.

If the meaning of the 'Int Value' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Int Value' attribute.
See Also:
  `setIntValue(Integer)`, `EmftvmPackage.getPush_IntValue()`

#### setIntValue

    void setIntValue​(java.lang.Integer value)

Sets the value of the '`Int Value`' attribute.

Parameters:
  `value` - the new value of the 'Int Value' attribute.
See Also:
  `getIntValue()`

#### getDoubleValue

    java.lang.Double getDoubleValue()

Returns the value of the 'Double Value' attribute.

If the meaning of the 'Double Value' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Double Value' attribute.
See Also:
  `setDoubleValue(Double)`, `EmftvmPackage.getPush_DoubleValue()`

#### setDoubleValue

    void setDoubleValue​(java.lang.Double value)

Sets the value of the '`Double Value`' attribute.

Parameters:
  `value` - the new value of the 'Double Value' attribute.
See Also:
  `getDoubleValue()`

#### getByteValue

    java.lang.Byte getByteValue()

Returns the value of the 'Byte Value' attribute.

If the meaning of the 'Byte Value' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Byte Value' attribute.
See Also:
  `setByteValue(Byte)`, `EmftvmPackage.getPush_ByteValue()`

#### setByteValue

    void setByteValue​(java.lang.Byte value)

Sets the value of the '`Byte Value`' attribute.

Parameters:
  `value` - the new value of the 'Byte Value' attribute.
See Also:
  `getByteValue()`

#### getCharValue

    java.lang.Character getCharValue()

Returns the value of the 'Char Value' attribute.

If the meaning of the 'Char Value' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Char Value' attribute.
See Also:
  `setCharValue(Character)`, `EmftvmPackage.getPush_CharValue()`

#### setCharValue

    void setCharValue​(java.lang.Character value)

Sets the value of the '`Char Value`' attribute.

Parameters:
  `value` - the new value of the 'Char Value' attribute.
See Also:
  `getCharValue()`

#### getFloatValue

    java.lang.Float getFloatValue()

Returns the value of the 'Float Value' attribute.

If the meaning of the 'Float Value' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Float Value' attribute.
See Also:
  `setFloatValue(Float)`, `EmftvmPackage.getPush_FloatValue()`

#### setFloatValue

    void setFloatValue​(java.lang.Float value)

Sets the value of the '`Float Value`' attribute.

Parameters:
  `value` - the new value of the 'Float Value' attribute.
See Also:
  `getFloatValue()`

#### getShortValue

    java.lang.Short getShortValue()

Returns the value of the 'Short Value' attribute.

If the meaning of the 'Short Value' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Short Value' attribute.
See Also:
  `setShortValue(Short)`, `EmftvmPackage.getPush_ShortValue()`

#### setShortValue

    void setShortValue​(java.lang.Short value)

Sets the value of the '`Short Value`' attribute.

Parameters:
  `value` - the new value of the 'Short Value' attribute.
See Also:
  `getShortValue()`

#### getLongValue

    java.lang.Long getLongValue()

Returns the value of the 'Long Value' attribute.

If the meaning of the 'Long Value' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Long Value' attribute.
See Also:
  `setLongValue(Long)`, `EmftvmPackage.getPush_LongValue()`

#### setLongValue

    void setLongValue​(java.lang.Long value)

Sets the value of the '`Long Value`' attribute.

Parameters:
  `value` - the new value of the 'Long Value' attribute.
See Also:
  `getLongValue()`

#### getEnumValue

    java.lang.String getEnumValue()

Returns the value of the 'Enum Value' attribute.

If the meaning of the 'Enum Value' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Enum Value' attribute.
See Also:
  `setEnumValue(String)`, `EmftvmPackage.getPush_EnumValue()`

#### setEnumValue

    void setEnumValue​(java.lang.String value)

Sets the value of the '`Enum Value`' attribute.

Parameters:
  `value` - the new value of the 'Enum Value' attribute.
See Also:
  `getEnumValue()`